Ask Your Question
0

beginner setup question

asked 2018-05-02 12:52:00 -0500

Bruce gravatar image

updated 2019-03-13 08:46:03 -0500

Sorry. I'm that guy.

I have python 3.6.2 installed, and have Wing pointing to the python.exe in project properties but the python shell gives this error (below):

Basic info: Wing Personal 6.0.11 Win 10 have python in PATH

I can run Python from cmd

<message in="" the="" toolbar="">

Cannot execute: use Options -> Restart Shell to launch shell [Needs restart for Python env]

<text in="" the="" shell="">

Traceback (most recent call last): 
File "C:\Program Files (x86)\Wing IDE Personal 6.0\bin\wingdb.py", line 894, in main netserver = FindNetServerModule(winghome, user_settings, tmp_log) 
File "C:\Program Files (x86)\Wing IDE Personal 6.0\bin\wingdb.py", line 676, in FindNetServerModule meta = _CreateMetaImporter(winghome, user_settings, logger) 
File "C:\Program Files (x86)\Wing IDE Personal 6.0\bin\wingdb.py", line 575, in _CreateMetaImporter mergeimporter = _LoadModuleFromWingbaseDir('mergeimporter', winghome) 
File "C:\Program Files (x86)\Wing IDE Personal 6.0\bin\wingdb.py", line 647, in _LoadModuleFromWingbaseDir mergeimporter = _LoadModuleFromDir(mod_name, os.path.dirname(mod_full_path)) 
File "C:\Program Files (x86)\Wing IDE Personal 6.0\bin\wingdb.py", line 539, in _LoadModuleFromDir import imp
ModuleNotFoundError: No module named 'imp'
During handling of the above exception, another exception occurred:
Traceback (most recent call last): File "C:\Program Files (x86)\Wing IDE Personal 6.0\bin\wingdb.py", line 896, in main import tracebackModuleNotFoundError: No module named 'traceback'
During handling of the above exception, another exception occurred:
Traceback (most recent call last): File "C:\Program Files (x86)\Wing IDE Personal 6.0\bin\wingdb.py", line 991, in <module> main() 
File "C:\Program Files (x86)\Wing IDE Personal 6.0\bin\wingdb.py", line 961, in main import traceback
ModuleNotFoundError: No module named 'traceback'
edit retag flag offensive close merge delete

1 Answer

Sort by » oldest newest most voted
0

answered 2018-05-02 14:05:00 -0500

Do you have the PYTHONHOME or any other PYTHON* environment variables set. I think the problem is that standard library modules are not being found.

edit flag offensive delete link more

Comments

reinstalling everything solves everything. thanks for the response!

Bruce gravatar imageBruce ( 2018-05-02 14:41:00 -0500 )edit

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Question Tools

2 followers

Stats

Asked: 2018-05-02 12:52:00 -0500

Seen: 5,086 times

Last updated: Mar 07